summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorph10 <ph10@2f5784b3-3f2a-0410-8824-cb99058d5e15>2012-09-12 08:30:17 +0000
committerph10 <ph10@2f5784b3-3f2a-0410-8824-cb99058d5e15>2012-09-12 08:30:17 +0000
commit7eb1c7ed074db159655831853b56db2289c088ef (patch)
tree1b31020e6279216908c8130cbed5cf2179b7e797 /autogen.sh
parent43a3e928221d1eb06c5b1322d91dc1d5d5f056b4 (diff)
downloadpcre-7eb1c7ed074db159655831853b56db2289c088ef.tar.gz
Re-order commands so that libtoolize comes before aclocal.
git-svn-id: svn://vcs.exim.org/pcre/code/trunk@1037 2f5784b3-3f2a-0410-8824-cb99058d5e15
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh14
1 files changed, 11 insertions, 3 deletions
diff --git a/autogen.sh b/autogen.sh
index cee608a..8a69c22 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,8 +1,14 @@
#!/bin/sh
-set -ex
-rm -rf autom4te.cache Makefile.in aclocal.m4
-aclocal --force -I m4
+# Running aclocal here first (as happened for a while) caused the macros that
+# libtoolize puts in the m4 directory to be newer than the aclocal.m4 file that
+# aclocal creates. This meant that the next "make" cause aclocal to be run
+# again. Moving aclocal to after libtoolize does not seem to cause any
+# problems, and it fixes this issue.
+
+#set -ex
+#rm -rf autom4te.cache Makefile.in aclocal.m4
+#aclocal --force -I m4
# GNU libtool is named differently on some systems. This code tries several
# variants like glibtoolize (MacOSX) and libtoolize1x (FreeBSD)
@@ -27,6 +33,8 @@ fi
set -ex
$libtoolize -c -f
+rm -rf autom4te.cache Makefile.in aclocal.m4
+aclocal --force -I m4
autoconf -f -W all,no-obsolete
autoheader -f -W all
automake -a -c -f -W all